RegionAttributesType.DiskWriteAttributes (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionAttributesType.DiskWriteAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.DiskWriteAttributes

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.DiskWriteAttributes
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="asynchronous-writes">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="synchronous-writes" type="{http://www.w3.org/2001/XMLSchema}anytype"/>
             </choice>
             <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` | `asynchronousWrites`
    `protected String` | `maxOplogSize`
    `protected String` | `rollOplogs`
    `protected Object` | `synchronousWrites`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskWriteAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` | `getAsynchronousWrites()` Gets the value of the asynchronousWrites property.
    `String` | `getMaxOplogSize()` Gets the value of the maxOplogSize property.
    `String` | `getRollOplogs()` Gets the value of the rollOplogs property.
    `Object` | `getSynchronousWrites()` Gets the value of the synchronousWrites property.
    `void` | `setAsynchronousWrites(RegionAttributesType.DiskWriteAttributes.AsynchronousWrites value)` Sets the value of the asynchronousWrites property.
    `void` | `setMaxOplogSize(String value)` Sets the value of the maxOplogSize property.
    `void` | `setRollOplogs(String value)` Sets the value of the rollOplogs property.
    `void` | `setSynchronousWrites(Object value)` Sets the value of the synchronousWrites property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### asynchronousWrites

          protected RegionAttributesType.DiskWriteAttributes.AsynchronousWrites asynchronousWrites

    - #### synchronousWrites

          protected Object synchronousWrites

    - #### maxOplogSize

          protected String maxOplogSize

    - #### rollOplogs

          protected String rollOplogs

  - ### Constructor Detail

    - #### DiskWriteAttributes

          public DiskWriteAttributes()

  - ### Method Detail

    - #### getAsynchronousWrites

          public RegionAttributesType.DiskWriteAttributes.AsynchronousWrites getAsynchronousWrites()

      Gets the value of the asynchronousWrites property. possible object is `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites`
      Returns:
        the value of the asynchronousWrites property

    - #### setAsynchronousWrites

          public void setAsynchronousWrites(RegionAttributesType.DiskWriteAttributes.AsynchronousWrites value)

      Sets the value of the asynchronousWrites property. allowed object is `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites`
      Parameters:
        `value` - the value of the asynchronousWrites property

    - #### getSynchronousWrites

          public Object getSynchronousWrites()

      Gets the value of the synchronousWrites property. possible object is `Object`
      Returns:
        the value of the synchronousWrites property

    - #### setSynchronousWrites

          public void setSynchronousWrites(Object value)

      Sets the value of the synchronousWrites property. allowed object is `Object`
      Parameters:
        `value` - the value of the synchronousWrites property

    - #### getMaxOplogSize

          public String getMaxOplogSize()

      Gets the value of the maxOplogSize property. possible object is `String`
      Returns:
        the value of the maxOplogSize property

    - #### setMaxOplogSize

          public void setMaxOplogSize(String value)

      Sets the value of the maxOplogSize property. allowed object is `String`
      Parameters:
        `value` - the value of the maxOplogSize property

    - #### getRollOplogs

          public String getRollOplogs()

      Gets the value of the rollOplogs property. possible object is `String`
      Returns:
        the value of the rollOplogs property

    - #### setRollOplogs

          public void setRollOplogs(String value)

      Sets the value of the rollOplogs property. allowed object is `String`
      Parameters:
        `value` - the value of the rollOplogs property